export declare class DateUtil {
    protected locale: string;
    constructor(locale: string);
    setLocale(lang: string): void;
    formatDate(date: Date): string;
    formatDateFullYear(date: Date): string;
    formatTime(date: Date, withSeconds?: boolean): string;
    formatDateTime(date: Date, fullYear?: boolean, withSeconds?: boolean): string;
    formatMonthAndYear(date: Date): string;
    formatDateAndShortMonth(date: Date): string;
    getDateFrom(date: Date): Date;
    getDateTo(date: Date): Date;
    getDateMidDay(date: Date): Date;
    getTimeFormat(withSeconds?: boolean): string;
    getDateFormat(fullDateFormat?: boolean): string;
    getDateFormatForDatePicker(fullDateFormat?: boolean): string;
    getFirstDayOfWeek(): number;
    getSeparator(locale: string): string;
    parseDate(currentDateValue: string, locale?: string): Date;
    private convertSystelabLocaleToDateFnsLocale;
    private getLocalizedStringDateFormat;
    private getLocalizedDateFormatForDatePicker;
}
