export declare class DecimalFormat {
    prefix: string;
    suffix: string;
    comma: number;
    minInt: number;
    minFrac: number;
    maxFrac: number;
    constructor(formatStr: string);
    format(numStr: string): any;
    /**
     * @description Converts formatted value back to non-formatted value
     * @methodOf DecimalFormat
     * @param {String} fNumberStr Formatted number
     * @return {String} Original number
     * @author Oskan Savli
     */
    private formatBack;
    /**
     * @description We shouldn't return strings like 1.000 in formatBack method.
     * However, using only Number(str) is not enough, because it omits . in big numbers
     * like 23423423423342234.34 => 23423423423342236 . There's a conflict in cases
     * 6143 and 6541.
     * @methodOf DecimalFormat
     * @param {String} str Numberic string
     * @return {String} Corrected numeric string
     * @author Serdar Bicer
     */
    private getNumericString;
}
