import { Observable } from 'rxjs';
import { TranslateService } from '@ngx-translate/core';
import { DateUtil } from './date-util/date-util';
import * as i0 from "@angular/core";
export declare class I18nService {
    protected translateService: TranslateService;
    protected locale: string;
    protected staticBundles: any;
    protected dateUtil: DateUtil;
    constructor(translateService: TranslateService);
    use(locale: string): Observable<any>;
    getLocale(): string;
    getCurrentLanguage(): string;
    getBrowserLang(): string | undefined;
    reloadLanguage(lang: string): Observable<any>;
    setTranslation(locale: string, translations: Object): void;
    appendTranslation(locale: string, translations: Object): void;
    get(bundle: string | string[]): Observable<any>;
    instant(key: string | Array<string>, interpolateParams?: any): string | any;
    setStaticBundles(staticBundles: any): void;
    getDateFormat(isFullYear?: boolean): string;
    getDateFormatForDatePicker(isFullYear?: boolean): string;
    getTimeFormat(withSeconds?: boolean): string;
    formatDate(date: Date): string;
    formatDateFullYear(date: Date): string;
    formatTime(date: Date, withSeconds?: boolean): string;
    formatDateTime(date: Date, fullYear?: boolean, withSeconds?: boolean): string;
    formatMonthAndYear(date: Date): string;
    formatDateAndShortMonth(date: Date): string;
    getDateFrom(date: Date): Date;
    getDateTo(date: Date): Date;
    getDateMidDay(date: Date): Date;
    getFirstDayOfWeek(): number;
    parseDate(currentDateValue: string, locale?: string): Date;
    formatNumber(numberToFormat: number, decimalFormat: string, applyLocale?: boolean): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<I18nService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<I18nService>;
}
